﻿/* Screen Cascading Style Sheet Definitions */

/* Application Pages */


/* F76490 Legal Disclaimer URLs */
.NoUnderlineLink {
	text-decoration: none;
	white-space: nowrap;
	color: #000000;
}

	.NoUnderlineLink:visited {
		color: #000000;
	}

/* F76834 -Add AAR Account Codes.pdf and LCS Message Types.pdf */
.profileAARAccountCodes {
	text-decoration: none;
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	padding-left: 12px;
	color: #000000;
}
	.profileAARAccountCodes:visited {
		color: #000000;
	}

.profileLCSMessageTypes {
	text-decoration: none;
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	padding-left: 12px;
	color: #000000;
}
	.profileLCSMessageTypes:visited {
		color: #000000;
	}


/* Login Pages */

.appLoginContainer {
	width: 400px;
	height: 600px;
	margin: 0 auto;
	margin-top: 10%;
	background-color: #fff;
	border-color: #ddd #ddd #d8d8d8;
	box-shadow: 0 2px 0 hsla(0,0%,69%,.12);
	border-width: 1px;
	border-style: solid;
}

.appLoginContainerDropShadow {
	box-shadow: 0px 1px 1px 1px #B9BEC4;
}

.appLogoContainer {
	width: 400px;
	height: 100px;
	display: flex;
	justify-content: center;
}

.appLoginLogo {
	width: 122px;
	height: auto;
	content: url('../Default/images/Wabtec/wabtec-corp-logo.svg');
}

.appLoginUserLogoContainer {
	display: flex;
	align-items: center;
}

.appLoginUserLogoContainer > div:has(hr) {
	width: 40%;
	color: #ddd;
}

.appLoginUserLogoContainer > div hr {
	background-color: #ddd;
	border: none;
	height: 1px;
}

.appLoginUndefinedUserLogo {
	content: url('../Default/images/Wabtec/undefinedUser.png');
	width: 85px;
	height: 85px;
	border-radius: 50%;
	margin-left: 10px;
	margin-right: 10px;
}

.appSignInContainer {
	font-size: 15px;
	line-height: 1.5;
	margin-top: 10px;
	text-align: center;
	text-transform: none;
	color: #5e5e5e;
	font-weight: 600;
	padding-top: 25px;
}

.appSignInEntryTextContainer {
	margin-bottom: 20px;
	margin-top: 25px;
	width: 325px;
	margin-left: auto;
	margin-right: auto;
}

.appSignInEntryTextContainer > input[type="text"], .appSignInEntryTextContainer > input[type="password"] {
	width: 100%;
}


/* Application Header Bar */

.appHeaderContainer {
	z-index: 30000;
	/* overflow: hidden!important; */
}

.appHeaderContainerDropShadow {
	box-shadow: 0px 0.3px 0.3px 0.3px #B9BEC4;
}

.appHeaderOne {
	width: 100%;
	background-color: #fff;
	height: 54px;
	padding: 0px;
	border-collapse: collapse;
}

.appHeaderOne tr {
	height: 54px;
	padding: 0px;
}

#appHeaderMenuContainer {
	text-align: center;
	cursor: default;
	width: 20px;
	min-width: 20px;
	padding: 0px;
	background-repeat: no-repeat;
	background-position: 13px 15px;
}

#appHeaderLogo {
	width: 92px;
	min-width: 92px;
	background-image: url('../Default/images/Wabtec/wabtec-corp-logo.svg');
	background-repeat: no-repeat;
	padding: 0px;
	background-position: 0px 10px;
}

#appHeaderTitle {
	width: 170px;
	min-width: 170px;
	color: #007dba;
	font-size: 16px;
	padding: 0px;
	padding-left: 10px;
	font-weight: 600;
	vertical-align: top;
	padding-top: 16px;
}

#appHeaderSlash {
	width: 26px;
	padding: 0px;
	background: linear-gradient(to bottom right, #fff calc(50% - 1px), #B9BEC4, #fff calc(50% + 1px) )
}

#appHeaderTabMenuContainer {
	font-size: 16px;
	font-weight: 600;
	width: auto;
	padding: 0px 0px 0px 12px;
	min-width: 230px;
	height: 30px;
	min-height: 30px;
}

#appHeaderTabMenuContainer a {
	font-size: 16px;
	font-weight: 600;
	color: #000000;
	font-size: 16px;
	text-decoration: none;
}

#appHeaderTabMenuContainer a:visited {
	color: #000000;
}

#appHeaderHomeContainer {
	width: 20px;
	padding-left: 12px;
	padding-right: 12px;
}

#appHeaderHomeContainer > a, #appHeaderHomeContainer > a:visited {
	color: #000000;
	text-decoration: none;
	vertical-align: text-top;
}

#appHeaderRoadContainer {
	width: 80px;
	text-align: right;
}

#appHeaderProfileContainer {
	width: 40px;
	padding-right: 5px;
}

#appHeaderUserInitials {
	margin-right: 15px;
}

#appHeaderUserInitials, #profileUserInitials {
	height: 32px;
	width: 32px;
	background-color: #000000;
	border-radius: 50%;
	display: inline-block;
	color: #ffffff;
	text-align: center;
	vertical-align: middle;
	line-height: 32px;
	text-transform: uppercase;
}

.profileContainer {
	display: flex;
	position: absolute;
	min-width: 240px;
	right: 10px;
	top: 58px;
	background: #FFFFFF;
	border: 1px solid #C7D4DD;
	padding-bottom: 8px;
	z-index: 2000;
}

.profileContainer hr {
	color: #c7d4dd;
}

#profileHelpDesk {
	text-decoration: none;
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	padding-left: 12px;
	color: #000000;
}

#profileHelpDesk:hover {
	color: #007dba;
}

#profileHelpDesk:visited {
	color: #000000;
}

#profileUserNameContainer {
	font-size: 16px;
	font-style: normal;
	font-weight: 500;
	line-height: 20px;
}

#profileUserEmailContainer {
	font-size: 14px;
	font-style: normal;
	font-weight: 400;
	line-height: 20px;
	text-transform: lowercase;
}

#profileSignOut {
	text-decoration: none;
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	color: #f34336;
	padding-left: 12px
}

#profileSignOut:visited {
	color: #f34336;
}

.navigationLineBackground {
	width: 100%;
	background-color: #f7f9fc;
	height: 2px;
	background-image: url('../Default/images/Wabtec/navigation-bk.jpg');
	background-repeat: repeat-x;
	text-align: left;
}

.navigationLineBackgroundWithMarginBottom {
	width: 100%;
	background-color: #f7f9fc;
	height: 2px;
	background-image: url('../Default/images/Wabtec/navigation-bk.jpg');
	background-repeat: repeat-x;
	text-align: left;
	margin-bottom: 30px;
}

#pageLabel {
	color: #000000;
	font-size: 24px;
	font-style: normal;
	font-weight: 400;
	line-height: 35px;
	text-transform: capitalize;
}

#pageSearchContainerLeft {
	margin-top: 5px;
}

#pageSearchContainerRight {
	float: right;
	margin-top: 5px;
	margin-right: 30px;
}

#pageSearchTable td {
	padding-right: 30px;
}


/* Unhandled Error Page */

.unhandledErrorContainerDropShadow {
	box-shadow: 0px 1px 1px 1px #B9BEC4;
}

.unhandledErrorContainer {
	width: 500px;
	height: 200px;
	display: contents;
	justify-content: center;
}



/* Various Colors */

.rfvRed, .errorRed {
	color: red;
}


/* Miscellaneous */

.widthFull {
	width: 100%;
}

.error-page-title
{
	color:Red; 
	font-size:2.0em; 
	margin: 15% 25% 5% 25%; 
	text-align:center;
}

.error-page-body
{
	margin: 0 20% 0 20%; 
	font-size: 1.1em 
}

#pagecontent
{
	font-size: 1.1em;
	position: relative;
	display: block;
	overflow: auto;
	padding-top: 1px;
}

.screenheadercontainer {
	background-color: #F9FAFA;
	padding: 10px 0 10px 50px;
}

.screentitle {
	color: #000000;
	font-size: 24px;
	font-style: normal;
	font-weight: 400;
	line-height: 35px;
	text-transform: capitalize;
}

.screeninfo
{
	color: #000000;
	font-size:1.0em; 
	min-height: 1.5em;
	padding-left: 15px;
	padding-top: 5px;
}

/* Breadcrumbs */

.pageBreadcrumbContainer {
	width: auto;
	min-height: 20px;
	background-color: #F8FAFC;
	padding: 3px 0 3px 12px;
}

.pageBreadcrumbContainer > table {
	width: auto;
	border: none;
}

a.breadcrumb {
	font-weight: 500;
	font-size: 10px;
	line-height: 12px;
	color: #57657a;
	padding-right: 10px;
	text-decoration: none;
}

a.breadcrumb:hover {
	color: #007DBA;
	text-decoration: underline;
}

a.breadcrumb:focus {
	border: none;
	color: #007DBA;
	text-decoration: underline;
	outline: none;
}

a.breadcrumb.current {
	color: #000000;
	font-weight: 600;
}

a.breadcrumb.current:hover, a.breadcrumb.current:focus {
	color: #007DBA;
	text-decoration: none;
	cursor: default;
}

#linespacer
{
	color: #9C9E9C; 
	margin-top: 1.0em; 
}

table.searchcriteria 
{
	width: 100%;
	min-height: 20px;
	text-align: left;
	padding-left: 50px;
	padding-bottom: 10px;
	background-color: #F9FAFA;
	text-align: left;
	box-shadow: 0px 0.3px 0.3px 0.3px #B9BEC4;
}

.pageSearchContainer {
	width: auto;
	min-height: 20px;
	padding: 0px 50px 10px 50px;
	background-color: #F9FAFA;
	box-shadow: 0px 0.3px 0.3px 0.3px #B9BEC4;
}

.pageSearchTable tr {
	vertical-align: bottom;
}

.pageSearchTable td {
	padding-right: 30px;
}

.pageSearchRight {
	display: flex;
	float: right;
	margin-top: 25px;
}

.pageSearchRightNoMargin {
	display: flex;
	float: right;
	margin-top: -7px;
}

table.exportdata {
	margin-top: 1em;
	width: 77%;
	text-align: right;
}

.ExportDataWindow
{
   margin-top: 30px; 
   font-size: 12pt; 
   font-family: Arial; 
   text-align: center;
}

.gridcontent
{
   margin: 20px 2% 0 2%;
   width: 95%;
}

.SummaryTable {
	border: none;
	border-collapse: collapse;
	border-style: none;
	border-spacing: 0px;
}

.SummaryTable TH {
	font-family: 'Roboto', Arial, Verdana, Helvetica, sans-serif;
	font-size: 11px;
	text-decoration: none;
	height: 20px;
	border-style: none;
}

.SummaryTable colgroup {
	border-style: none;
}

.SummaryTable thead {
	border-style: none;
}

.SummaryTable tbody {
	border-style: none;
}

.SummaryTable TR {
	font-family: 'Roboto',Arial, Verdana, Helvetica, sans-serif;
	font-size: 11px;
	text-align: center;
	height: 20px;
	text-decoration: none;
}

.SummaryTable TR TD {
	border: none;
	border-style: none;
	padding: 0px;
}

.fulldatepicker
{
	margin-right: 5px;
	width: 95px; 
}

.monthdatepicker
{
	margin-right: 5px;
	width: 80px; 
}

.timepicker
{
	margin-right: 0.1em;
	width: 2.5em; 
}

.datetimepicker
{
	margin-right: 0.3em;
	width: 132px; 
}

.NoRecordsTemplate
{
	
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	color:Black;
	text-align:center;    
}
 
.cbLabelWidth20em label
{
    text-align: left;
    padding-left: 20px;
}

.cbLabelWidth10em label
{
    text-align: left;
    padding-left: 10px;
}
 
.rpt-error-text
{
	margin: 0 1% 0 1%; 
	text-align: center;
	color:Red;
}

.hoverPointer {
	cursor: pointer;
}

[hidden] {
	display: none;
}

/* Spinners */

.small-spinner {
	background-image: url('../Default/images/spinner-small.svg');
	background-Repeat: no-repeat;
	width: 20px;
	height: 20px;
	margin: auto;
}

.small-spinner.rotate {
	animation: spinner 1.75s infinite;
}

.medium-spinner {
	background-image: url('../Default/images/spinner-medium.svg');
	background-Repeat: no-repeat;
	width: 56px;
	height: 56px;
	margin: auto;
}

.medium-spinner.rotate {
	animation: spinner 1.75s infinite;
}

.large-spinner {
	background-image: url('../Default/images/spinner-large.svg');
	background-Repeat: no-repeat;
	width: 110px;
	height: 110px;
	margin: auto;
}

.large-spinner.rotate {
	animation: spinner 1.75s infinite;
}

@keyframes spinner {
	0% {
		rotate: 0deg;
	}

	100% {
		rotate: 360deg;
	}
}


/* Data Entry - Labels and Blocking Colours */

.div-flex {
	display: flex;
	padding-top: 10px;
	padding-bottom: 10px;
}

.div-flex-background-grey {
	display: flex;
	border-bottom: 1px solid #C7D4DD;
	background-color: #e8e9eb80;
	padding-top: 10px;
	padding-bottom: 10px;
}

.div-flex-background-lightgrey {
	display: flex;
	border-bottom: 1px solid #C7D4DD;
	background-color: #F9FAFA;
	padding-top: 10px;
	padding-bottom: 10px;
}

.form-group {
	display: inline-block;
	margin-right: 10px;
	float: left;
}

.form-group label {
	display: block;
}

.form-group-header {
	color: #000000;
	font-feature-settings: 'clig' off, 'liga' off;
	font-family: Roboto;
	font-size: 20px;
	font-style: normal;
	font-weight: 500;
	line-height: normal;
}

.div-background-grey {
	border-bottom: 1px solid #C7D4DD;
	background-color: #e8e9eb80;
	padding-top: 10px;
	padding-bottom: 10px;
	width: 100%;
}

.div-background-lightgrey {
	border-bottom: 1px solid #C7D4DD;
	background-color: #F9FAFA;
	padding-top: 10px;
	padding-bottom: 10px;
	width: 100%;
}


/* Various Margins */

.marginLeft30 {
	margin-left: 30px;
}


/* System Information */

.systemInformation {
	margin-top: 30px;
}

